libebook::FictionBook2Collector Class Reference documentation

Classes | Public Types | Public Member Functions | List of all members
libebook::FictionBook2Collector Class Referenceabstract

`#include <FictionBook2Collector.h>`

Inheritance diagram for libebook::FictionBook2Collector:

## Classes
struct | Binary
struct | Note
struct | Paragraph
struct | Span

## Public Types
typedef std::unordered_map< std::string, Binary > | BinaryMap_t
typedef std::unordered_map< std::string, Note > | NoteMap_t

## Public Member Functions
virtual | ~FictionBook2Collector ()=0
virtual void | defineMetadataEntry (const char *name, const char *value)=0
virtual void | openMetadataEntry (const char *name)=0
virtual void | closeMetadataEntry ()=0
virtual void | defineID (const char *id)=0
virtual void | openPageSpan ()=0
virtual void | closePageSpan ()=0
virtual void | openBlock ()=0
virtual void | closeBlock ()=0
virtual void | openParagraph (const FictionBook2BlockFormat &format)=0
virtual void | closeParagraph ()=0
virtual void | openSpan (const FictionBook2Style &style)=0
virtual void | closeSpan ()=0
virtual void | insertText (const char *text)=0
virtual void | openTable (const FictionBook2BlockFormat &format)=0
virtual void | closeTable ()=0
virtual void | openTableRow (const FictionBook2BlockFormat &format)=0
virtual void | closeTableRow ()=0
virtual void | openTableCell (int rowspan, int colspan)=0
virtual void | closeTableCell ()=0
virtual void | insertCoveredTableCell ()=0
virtual void | insertFootnote (const char *id)=0
virtual void | insertBitmap (const char *id)=0
virtual void | insertBitmapData (const char *contentType, const char *base64Data)=0

## Member Typedef Documentation

## ◆ BinaryMap_t

typedef std::unordered_map<std::string, Binary> libebook::FictionBook2Collector::BinaryMap_t

## ◆ NoteMap_t

typedef std::unordered_map<std::string, Note> libebook::FictionBook2Collector::NoteMap_t

## Constructor & Destructor Documentation

## ◆ ~FictionBook2Collector()

libebook::FictionBook2Collector::~FictionBook2Collector | ( |  | ) |
| pure virtual

## Member Function Documentation

## ◆ closeBlock()

virtual void libebook::FictionBook2Collector::closeBlock | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

## ◆ closeMetadataEntry()

virtual void libebook::FictionBook2Collector::closeMetadataEntry | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

## ◆ closePageSpan()

virtual void libebook::FictionBook2Collector::closePageSpan | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2BodyContext::endOfElement().

## ◆ closeParagraph()

virtual void libebook::FictionBook2Collector::closeParagraph | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2EmptyLineContext::endOfElement(), libebook::FictionBook2ImageContext::endOfElement(), libebook::FictionBook2StanzaContext::endOfElement(), libebook::FictionBook2ParaContextBase::endOfElement(), and libebook::FictionBook2PoemContext::startOfElement().

## ◆ closeSpan()

virtual void libebook::FictionBook2Collector::closeSpan | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2ImageContext::endOfElement(), libebook::FictionBook2InlineImageContext::endOfElement(), libebook::FictionBook2AContext::text(), and libebook::FictionBook2StyleContextBase::text().

## ◆ closeTable()

virtual void libebook::FictionBook2Collector::closeTable | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2TableContext::endOfElement().

## ◆ closeTableCell()

virtual void libebook::FictionBook2Collector::closeTableCell | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2CellContext::endOfElement().

## ◆ closeTableRow()

virtual void libebook::FictionBook2Collector::closeTableRow | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2TrContext::endOfElement().

## ◆ defineID()

virtual void libebook::FictionBook2Collector::defineID | ( | const char * | id | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ContentCollector, and libebook::FictionBook2ExtrasCollector.

Referenced by libebook::FictionBook2CiteContext::attribute(), libebook::FictionBook2EpigraphContext::attribute(), libebook::FictionBook2ImageContext::attribute(), libebook::FictionBook2PoemContext::attribute(), libebook::FictionBook2SectionContext::attribute(), libebook::FictionBook2TitleContext::attribute(), libebook::FictionBook2TableContext::attribute(), libebook::FictionBook2CellContext::attribute(), libebook::FictionBook2ParaContextBase::attribute(), and libebook::FictionBook2BinaryContext::text().

## ◆ defineMetadataEntry()

virtual void libebook::FictionBook2Collector::defineMetadataEntry | ( | const char * | name,
|  | const char * | value
| ) |  |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2CustomInfoContext::endOfElement(), libebook::FictionBook2TitleInfoContext::endOfElement(), libebook::FictionBook2BookTitleContext::text(), libebook::FictionBook2DateContext::text(), libebook::FictionBook2KeywordsContext::text(), libebook::FictionBook2LangContext::text(), libebook::FictionBook2PublisherContext::text(), libebook::FictionBook2SrcUrlContext::text(), and libebook::FictionBook2VersionContext::text().

## ◆ insertBitmap()

virtual void libebook::FictionBook2Collector::insertBitmap | ( | const char * | id | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2ImageContext::endOfElement(), and libebook::FictionBook2InlineImageContext::endOfElement().

## ◆ insertBitmapData()

virtual void libebook::FictionBook2Collector::insertBitmapData | ( | const char * | contentType,
|  | const char * | base64Data
| ) |  |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2BinaryContext::text().

## ◆ insertCoveredTableCell()

virtual void libebook::FictionBook2Collector::insertCoveredTableCell | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2CellContext::endOfElement(), and libebook::FictionBook2TrContext::openRow().

## ◆ insertFootnote()

virtual void libebook::FictionBook2Collector::insertFootnote | ( | const char * | id | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2AContext::endOfElement().

## ◆ insertText()

virtual void libebook::FictionBook2Collector::insertText | ( | const char * | text | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2ImageContext::endOfElement(), libebook::FictionBook2InlineImageContext::endOfElement(), libebook::FictionBook2AContext::text(), and libebook::FictionBook2StyleContextBase::text().

## ◆ openBlock()

virtual void libebook::FictionBook2Collector::openBlock | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

## ◆ openMetadataEntry()

virtual void libebook::FictionBook2Collector::openMetadataEntry | ( | const char * | name | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

## ◆ openPageSpan()

virtual void libebook::FictionBook2Collector::openPageSpan | ( |  | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2BodyContext::startOfElement().

## ◆ openParagraph()

virtual void libebook::FictionBook2Collector::openParagraph | ( | const FictionBook2BlockFormat & | format | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2EmptyLineContext::endOfElement(), libebook::FictionBook2ImageContext::endOfElement(), libebook::FictionBook2StanzaContext::endOfElement(), libebook::FictionBook2PoemContext::startOfElement(), and libebook::FictionBook2ParaContextBase::startOfElement().

## ◆ openSpan()

virtual void libebook::FictionBook2Collector::openSpan | ( | const FictionBook2Style & | style | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2ImageContext::endOfElement(), libebook::FictionBook2InlineImageContext::endOfElement(), libebook::FictionBook2AContext::text(), and libebook::FictionBook2StyleContextBase::text().

## ◆ openTable()

virtual void libebook::FictionBook2Collector::openTable | ( | const FictionBook2BlockFormat & | format | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2TableContext::startOfElement().

## ◆ openTableCell()

virtual void libebook::FictionBook2Collector::openTableCell | ( | int | rowspan,
|  | int | colspan
| ) |  |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2CellContext::openCell().

## ◆ openTableRow()

virtual void libebook::FictionBook2Collector::openTableRow | ( | const FictionBook2BlockFormat & | format | ) |
| pure virtual

Implemented in libebook::FictionBook2MetadataCollector, libebook::FictionBook2ExtrasCollector, and libebook::FictionBook2ContentCollector.

Referenced by libebook::FictionBook2TrContext::openRow().

The documentation for this class was generated from the following files:

- FictionBook2Collector.h
- FictionBook2Collector.cpp